/********************************************************************
 * Copyright © 2006 VHA. All rights reserved
 ********************************************************************/

/*
 * Created on Feb 23, 2006
 *
 */
package gov.va.med.esr.common.model.lookup;


// Java classes

// Library classes

// Framework classes
import gov.va.med.fw.model.lookup.AbstractCode;
import gov.va.med.fw.model.lookup.AbstractNamedActiveLookup;

// EDB Classes

/**
 * @author Yi He
 * @version 1.0
 */
public class ReportEEDWeeklyType extends AbstractNamedActiveLookup {
	/**
	 * An instance of serialVersionUID
	 */
	private static final long serialVersionUID = 1015277094780747409L;	                                            

	public static final Code ELIGIBILITY_UPDATES = new Code("1", "EligibilityUpdates");
	public static final Code ENROLLMENT_UPDATES = new Code("2", "EnrollmentUpdates");
	public static final Code OTHER_UPDATES = new Code("3", "OtherUpdates");
	public static final Code AAC_AUTO_UDPATE = new Code("4", "AACAutoUpdates");
	public static final Code PH_STATS = new Code("5", "PHStats");
	public static final Code AAC_ADDRESS_STATS = new Code("6", "AACAddressStats");
	public static final Code AAC_ENROLLMENT_LETTERS = new Code("7", "AACEnrollmentLetters");
	
    public static class Code extends AbstractCode {
		/**
		 * An instance of serialVersionUID
		 */
		private static final long serialVersionUID = -1646897915573854735L;	                                            
		
		private Code(String code, String alias) {
			super(code,alias);
		}

		public static Code getByCode(String code) {
			return (Code) getCode(Code.class, code);
		}
	}	
    
    public ReportEEDWeeklyType() {
    	super();
    }
}


